%% Analyze GDP and potential environment risk
tic
clc;clearvars
[a,b,c] = xlsread('results\New_results_from_ESDAC_P_pools\Tabulate_area_risk_4EachCountry.xlsx');
risk_environment_current = a(:,17:19);
risk_environment_difference = a(:,23:25);
risk_country_name = b(3:end,1); 
risk_percent_environment_difference = nan(14,2);
risk_percent_environment_current = nan(14,1);
risk_percent_environment_difference(:,1) = risk_environment_difference(:,2)./risk_environment_difference(:,1);
risk_percent_environment_difference(:,2) = risk_environment_difference(:,3)./risk_environment_difference(:,1);
risk_percent_environment_current(:,1) = risk_environment_current(:,2)./risk_environment_current(:,1);
risk_percent_environment_current(:,2) = risk_environment_current(:,3)./risk_environment_current(:,1);

load 'results\New_results_from_ESDAC_P_pools\GDP_main_rice_countries_2000_2020.mat'
region_name = region_name';
index_year = 1:21;
GDP_mean_total = nanmean(GDP_total(index_year,:),1);
GDP_mean_total_std = nanstd(GDP_total(index_year,:),0,1);
GDP_mean_per = nanmean(GDP_per(index_year,:),1);
GDP_mean_per_std = nanstd(GDP_per(index_year,:),0,1);
index_country = [5,8,9,2,17,16,11,14,3,10,13,1,4,15];
Final_GDP_total = GDP_mean_total(index_country); Final_GDP_total = Final_GDP_total';
Final_GDP_total_std = GDP_mean_total_std(index_country); Final_GDP_total_std = Final_GDP_total_std';
Final_GDP_per = GDP_mean_per(index_country); Final_GDP_per = Final_GDP_per';
Final_GDP_per_std = GDP_mean_per_std(index_country); Final_GDP_per_std = Final_GDP_per_std';
toc