%% Calculate average yield& production for every bins
bins_risk = 1:7;
bins_lab_current = select_risk_current;
bins_lab_future_100ppm = select_risk_future_100ppm;
bins_lab_future_200ppm = select_risk_future_200ppm;
temp_index = find(~isnan(bins_lab_current));
total_current = length(temp_index);
temp_index = find(~isnan(bins_lab_future_100ppm));
total_future_100 = length(temp_index);
temp_index = find(~isnan(bins_lab_future_200ppm));
total_future_200 = length(temp_index);

percent_current = nan(length(bins_risk)-1,1);
percent_future_100 = nan(length(bins_risk)-1,1);
percent_future_200 = nan(length(bins_risk)-1,1);
for i=1:length(bins_risk)-1
    index = find(bins_lab_current>=bins_risk(i) & ...
        bins_lab_current<bins_risk(i+1));
    percent_current(i,1) = 100*length(index)/total_current;
    index = find(bins_lab_future_100ppm>=bins_risk(i) & ...
        bins_lab_future_100ppm<bins_risk(i+1));
    percent_future_100(i,1) = 100*length(index)/total_current;
    index = find(bins_lab_future_200ppm>=bins_risk(i) & ...
        bins_lab_future_200ppm<bins_risk(i+1));
    percent_future_200(i,1) = 100*length(index)/total_current;
end
percent_all = nan(6,3);
percent_all(:,1) = percent_current;
percent_all(:,2) = percent_future_100;
percent_all(:,3) = percent_future_200;