%% Extract rice pixels
clc;clearvars
load 'data\SPAM_global_irrigated_rice_harvested_area_point5.mat'
rice_crop = harvested_area_point5;
rice_crop(rice_crop<10) = nan;
rice_crop(~isnan(rice_crop)) = 1;
% Extract C3 crop pixels
load 'data\ESDAC_global_average_p_pools_losses\Data_P_Pool\ESDAC_p_pools_2005.mat'
load 'results\New_results_from_ESDAC_P_pools\Global_P_future_point5_degree.mat'
c3_crop_tot = tot_crop'.*rice_crop/10;
c3_crop_lab = lab_i_crop'.*rice_crop/10;
c3_crop_org = lab_o_crop'.*rice_crop/10;
c3_crop_occ = occ_crop'.*rice_crop/10;
c3_crop_sec = sec_crop'.*rice_crop/10;
c3_crop_apa = apa_crop'.*rice_crop/10;
c3_crop_future_100ppm_tot = future_100ppm_tot'.*rice_crop/10;
c3_crop_future_100ppm_lab = future_100ppm_lab'.*rice_crop/10;
c3_crop_future_100ppm_org = future_100ppm_org'.*rice_crop/10;
c3_crop_future_100ppm_occ = future_100ppm_occ'.*rice_crop/10;
c3_crop_future_100ppm_sec = future_100ppm_sec'.*rice_crop/10;
c3_crop_future_100ppm_apa = future_100ppm_apa'.*rice_crop/10;
c3_crop_future_200ppm_tot = future_200ppm_tot'.*rice_crop/10;
c3_crop_future_200ppm_lab = future_200ppm_lab'.*rice_crop/10;
c3_crop_future_200ppm_org = future_200ppm_org'.*rice_crop/10;
c3_crop_future_200ppm_occ = future_200ppm_occ'.*rice_crop/10;
c3_crop_future_200ppm_sec = future_200ppm_sec'.*rice_crop/10;
c3_crop_future_200ppm_apa = future_200ppm_apa'.*rice_crop/10;
unit = 'gP/m2';