lat=double(lat);    lon=double(lon);
data=double(risk_environment_current);
data_backup = data;
min_data=floor(nanmin(nanmin(data)));
max_data=ceil(nanmax(nanmax(data)));
label_min=0;   label_max=1;
f=figure('visible','on','Color', [1 1 1]);
axesm('MapProjection','robinson','Frame','off','Grid','off', 'MapLatLimit',[-60 85],'MapLonLimit',[-180 180], ...
    'MeridianLabel','off','ParallelLabel','off','MlineLocation',10,'PlineLocation',10);%Global
land1 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Antarctica'), 'Name'});
land2 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Africa and Eurasia'), 'Name'});
land3 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'North and South America'), 'Name'});
land4 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Greenland'), 'Name'});
land5 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Australia'), 'Name'});
land6 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Baffin Island'), 'Name'});
land7 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Ellesmere Island'), 'Name'});
land8 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'New Guinea'), 'Name'});
land9 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Great Britain'), 'Name'});
land10 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Borneo'), 'Name'});
land11 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Honshu'), 'Name'});
land12 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Victoria Island'), 'Name'});
land13 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Celebes'), 'Name'});
land14 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'New Zealand North Island'), 'Name'});
land15 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Sumatra'), 'Name'});
land16 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Madagascar'), 'Name'});
land17 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Iceland'), 'Name'});
land18 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'New Zealand South Island'), 'Name'});
land19 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Newfoundland'), 'Name'});
land20 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Luzon'), 'Name'});
land21 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Devon Island'), 'Name'});
land22 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Cuba'), 'Name'});
land23 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Java'), 'Name'});
land24 = shaperead('landareas.shp', 'UseGeoCoords', true,...
    'Selector',{@(name) strcmp(name,'Mindanao'), 'Name'});
patchm(land1.Lat,land1.Lon,[239/255 239/255 220/255]); geoshow(land1.Lat,land1.Lon,'color',[239/255 239/255 220/255])
patchm(land2.Lat,land2.Lon,[239/255 239/255 220/255]); geoshow(land2.Lat,land2.Lon,'Color',[239/255 239/255 220/255])
patchm(land3.Lat,land3.Lon,[239/255 239/255 220/255]); geoshow(land3.Lat,land3.Lon,'Color',[239/255 239/255 220/255])
patchm(land4.Lat,land4.Lon,[239/255 239/255 220/255]); geoshow(land4.Lat,land4.Lon,'Color',[239/255 239/255 220/255])
patchm(land5.Lat,land5.Lon,[239/255 239/255 220/255]); geoshow(land5.Lat,land5.Lon,'Color',[239/255 239/255 220/255])
patchm(land6.Lat,land6.Lon,[239/255 239/255 220/255]); geoshow(land6.Lat,land6.Lon,'Color',[239/255 239/255 220/255])
patchm(land7.Lat,land7.Lon,[239/255 239/255 220/255]); geoshow(land7.Lat,land7.Lon,'Color',[239/255 239/255 220/255])
patchm(land8.Lat,land8.Lon,[239/255 239/255 220/255]); geoshow(land8.Lat,land8.Lon,'Color',[239/255 239/255 220/255])
patchm(land9.Lat,land9.Lon,[239/255 239/255 220/255]); geoshow(land9.Lat,land9.Lon,'Color',[239/255 239/255 220/255])
patchm(land10.Lat,land10.Lon,[239/255 239/255 220/255]); geoshow(land10.Lat,land10.Lon,'Color',[239/255 239/255 220/255])
patchm(land11.Lat,land11.Lon,[239/255 239/255 220/255]); geoshow(land11.Lat,land11.Lon,'Color',[239/255 239/255 220/255])
patchm(land12.Lat,land12.Lon,[239/255 239/255 220/255]); geoshow(land12.Lat,land12.Lon,'Color',[239/255 239/255 220/255])
patchm(land13.Lat,land13.Lon,[239/255 239/255 220/255]); geoshow(land13.Lat,land13.Lon,'Color',[239/255 239/255 220/255])
patchm(land14.Lat,land14.Lon,[239/255 239/255 220/255]); geoshow(land14.Lat,land14.Lon,'Color',[239/255 239/255 220/255])
patchm(land15.Lat,land15.Lon,[239/255 239/255 220/255]); geoshow(land15.Lat,land15.Lon,'Color',[239/255 239/255 220/255])
patchm(land16.Lat,land16.Lon,[239/255 239/255 220/255]); geoshow(land16.Lat,land16.Lon,'Color',[239/255 239/255 220/255])
patchm(land17.Lat,land17.Lon,[239/255 239/255 220/255]); geoshow(land17.Lat,land17.Lon,'Color',[239/255 239/255 220/255])
patchm(land18.Lat,land18.Lon,[239/255 239/255 220/255]); geoshow(land18.Lat,land18.Lon,'Color',[239/255 239/255 220/255])
patchm(land19.Lat,land19.Lon,[239/255 239/255 220/255]); geoshow(land19.Lat,land19.Lon,'Color',[239/255 239/255 220/255])
patchm(land20.Lat,land20.Lon,[239/255 239/255 220/255]); geoshow(land20.Lat,land20.Lon,'Color',[239/255 239/255 220/255])
patchm(land21.Lat,land21.Lon,[239/255 239/255 220/255]); geoshow(land21.Lat,land21.Lon,'Color',[239/255 239/255 220/255])
patchm(land22.Lat,land22.Lon,[239/255 239/255 220/255]); geoshow(land22.Lat,land22.Lon,'Color',[239/255 239/255 220/255])
patchm(land23.Lat,land23.Lon,[239/255 239/255 220/255]); geoshow(land23.Lat,land23.Lon,'Color',[239/255 239/255 220/255])
patchm(land24.Lat,land24.Lon,[239/255 239/255 220/255]); geoshow(land24.Lat,land24.Lon,'Color',[239/255 239/255 220/255])

[Lat,Lon]=meshgrid(lat,lon);
p = data';
zuobiao1=zeros(259200,1); % spatial resolution:0.5 degree, 360*720=259200
zuobiaolon1=zeros(259200,1);
zuobiaolat1=zeros(259200,1);
Lon_P=Lon+0.25; Lat_P=Lat+0.25; % To make the dot in the central position
for k=1:720
    for j=1:360
        if(~isnan(p(k,j)))
            zuobiao1((k-1)*360+j,1)=p(k,j);
            zuobiaolon1((k-1)*360+j,1)=Lon_P(k,j);
            zuobiaolat1((k-1)*360+j,1)=Lat_P(k,j);
        end
    end
end
scatterm(zuobiaolat1,zuobiaolon1,3,zuobiao1,'s','filled');
load risk_colormap_new_v2_environment_2_colors.mat
colormap(risk_colormap)
caxis([label_min label_max]);
c=colorbar('YTick',label_min:1:label_max,'Location','southoutside');
box off
axis off
print(gcf, ...
    '-dtiffn','results\figures\2021_July_update_ESDAC_P_pools\Global_P_risk_same_color_v2_envir','-r300')
