%% Analyze GDP and yield reduction risk
tic
clc;clearvars
[a,b,c] = xlsread('results\New_results_from_ESDAC_P_pools\Tabulate_area_risk_4EachCountry.xlsx');
risk_yield_difference = a(:,13:16);
risk_country_name = b(3:end,1); 
risk_percent_yield_difference = nan(14,3);
risk_percent_yield_difference(:,1) = risk_yield_difference(:,2)./risk_yield_difference(:,1);
risk_percent_yield_difference(:,2) = risk_yield_difference(:,3)./risk_yield_difference(:,1);
risk_percent_yield_difference(:,3) = risk_yield_difference(:,4)./risk_yield_difference(:,1);
load 'results\New_results_from_ESDAC_P_pools\GDP_main_rice_countries_2000_2020.mat'
region_name = region_name';
index_year = 11:21;
GDP_mean_total = nanmean(GDP_total(index_year,:),1);
GDP_mean_total_std = nanstd(GDP_total(index_year,:),0,1);
GDP_mean_per = nanmean(GDP_per(index_year,:),1);
GDP_mean_per_std = nanstd(GDP_per(index_year,:),0,1);
index_country = [5,8,9,2,17,16,11,14,3,10,13,1,4,15];
Final_name = region_name(index_country);
Final_GDP_total = GDP_mean_total(index_country); Final_GDP_total = Final_GDP_total';
Final_GDP_total_std = GDP_mean_total_std(index_country); Final_GDP_total_std = Final_GDP_total_std';
Final_GDP_per = GDP_mean_per(index_country); Final_GDP_per = Final_GDP_per';
Final_GDP_per_std = GDP_mean_per_std(index_country); Final_GDP_per_std = Final_GDP_per_std';

toc